Subject: Re: [X2Go-Dev] Bug#1083: local Xfce session blocks X2Go Xfce session (and vice versa) for same user

From: René Genz <[email-masked]>
Date: Tue, 13 Sep 2016 00:00:05 +0200

Hi Uli,

I downgraded all packages to the status at release date of Fedora 24 to no avail.
Packages have been updated again.

I filed a bug report at RedHat Bugzilla:
https://bugzilla.redhat.com/show_bug.cgi?id=1375194

Hi Orion,

I saw that bug report and to me it looked too different, so I ignored it.
In hindsight that was a mistake. I am sorry for wasting everyones time.

The workaround works for me.

What I did:
### on X2Go Server
root@f24# cat >> /usr/local/bin/xfce4-session-test << 'EOF'
#!/bin/sh
unset DBUS_SESSION_BUS_ADDRESS
/usr/bin/xfce4-session
EOF

root@f24# chmod +x /usr/local/bin/xfce4-session-test

### on X2Go Client
X2Go client -- <edit/create profile> -- Session -- Session type:
   |Custom desktop|
   command: xfce4-session-test
-- 
Kind regards,
René